In the GNU/Linux world, there is Inkscape, the most popular vector editor. But probably many users don't know about another free software, named sK1. It is an awesome vector graphic editor from the same developer of UniConvertor (well known as free CorelDRAW CDR format importer library). sK1 is GNU GPL v2 so it is safe for us. Unfortunately, Ubuntu official repository have no package for sK1, and even there is no PPA yet, so we must install it from another source. Here the instructions about how to install sK1 in Ubuntu 14.04 and above. Thanks for sK1 Project.



1. Download sK1 Package

Go to http://sk1project.org/modules.php?name=Products&product=sk1&op=download and download 14.04 package. If you use newer version, download the appropriate version.



2. Perform dpkg

Perform below dpkg command. We assume you save the package in your $HOME directory.
sudo dpkg -i python-sk1-0.9.3_1ubuntu1_14.04_i386.deb
Note: this will unpack and do something technical to install the package. This will fail because this package mentions some dependencies while dpkg can not resolve dependencies. Surely error messages will appear, but dpkg will mark them all for apt-get.

3. See Error Messages

You must see error messages like this. Don't worry, it is normal.
Selecting previously unselected package python-sk1.
(Reading database ... 174918 files and directories currently installed.)

Preparing to unpack python-sk1-0.9.3_1ubuntu1_14.04_i386.deb ...

Unpacking python-sk1 (0.9.3) ...

dpkg: dependency problems prevent configuration of python-sk1:

 python-sk1 depends on python-tk; however:

  Package python-tk is not installed.



dpkg: error processing package python-sk1 (--install):

 dependency problems - leaving unconfigured

Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...

Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...

Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...

Rebuilding /usr/share/applications/bamf-2.index...

Processing triggers for mime-support (3.54ubuntu1) ...

Errors were encountered while processing:

 python-sk1

Perform apt-get

Perform below apt-get command. It will read dpkg marks before, check dependencies problem of sK1, resolve it, and download them all so sK1 will be actually installed. In Ubuntu 14.04, it needs 22 KB data to download.
sudo apt-get -f install


, ,